Subject: Re: [Pce] Few queries regarding draft-dhody-pce-stateful-pce-auto-bandwidth-06 draft

From: Dhruv Dhody <[email-masked]>
Date: Fri, 4 Mar 2016 04:54:29 +0000

Hi Venu,

We have updated the draft to handle your comments.
See inline [Dhruv2] …

From: Pce [mailto:[email-masked]] On Behalf Of Dhruv Dhody
Sent: 27 October 2015 12:53
To: Venugopal Reddy K
Cc: [email-masked]; pce
Subject: Re: [Pce] Few queries regarding draft-dhody-pce-stateful-pce-auto-bandwidth-06 draft

Hi Venu,

Thanks for reading the draft and posting queries.

See inline…

From: Pce [mailto:[email-masked]] On Behalf Of Venugopal Reddy K
Sent: 26 October 2015 14:39
To: [email-masked]<mailto:[email-masked]>; pce
Subject: [Pce] Few queries regarding draft-dhody-pce-stateful-pce-auto-bandwidth-06 draft

Dear Authors,

I have few queries regarding draft-dhody-pce-stateful-pce-auto-bandwidth-06.

1.       We have Overflow-Count, Overflow-Threshold and Underflow-Count, Underflow-Threshold to expedite the process of PCC adjusting the bandwidth instead of waiting for Adjustment-Interval when an abrupt change in bandwidth usage occurs. Similarly, we have Report-Flow-Threshold value for a PCC to report for PCE adjusting bandwidth model instead of waiting for Report-Interval. Can we know if there is rationale behind having different method for PCC controlling bandwidth adjustment and PCE controlling bandwidth adjustment for this case? Why not have the similar mechanism for it ?

[Dhruv]: Are you asking why we don’t have a “Report-Flow-Count” (similar to Underflow and overflow-count)? Hmm, I guess “Report-Flow-Count” can be added, it is a good suggestion.
This would indicate how many times consecutively, the percentage or absolute difference between the current bandwidth sample and the current bandwidth reservation should be greater than or equal to the report-flow-threshold value, for all the bandwidth samples collected so far to be reported to the PCE immediately.

[Dhruv2]: Report-Flow-Count is added in Bandwidth-Usage-Report-Flow-Threshold sub-TLV and Bandwidth-Usage-Report-Flow-Threshold-Percent sub-TLV

   Report-Flow-Count:  This value is used to decide when the bandwidth
      usage collected so far should be reported when there is a sudden
      change in bandwidth usage.  This value indicates how many times
      consecutively, the percentage or absolute difference between the
      current bandwidth sample and the current bandwidth reservation is
      greater than or equal to the Report-Flow-Threshold value, all the
      bandwidth samples collected so far are reported to the PCE
      immediately.

       https://tools.ietf.org/html/draft-dhody-pce-stateful-pce-auto-bandwidth-07#section-5.3.4

2.       Once auto-bandwidth adjustment is enabled for an LSP, Couldn’t find any way to disable auto adjustment feature for an LSP. It would be good to have a means to disable adjustment without bringing the LSP down.  Also, changing auto-bandwidth adjustment mode from PCC to PCE or vice versa without LSP down.

[Dhruv]: I think this could be useful, will discuss with my co-authors and add mechanism for this in future revision.

[Dhruv2]: I have added support for this –

   The TLV is encoded in all PCEP messages for the LSP till the auto
   bandwidth adjustment feature is enabled, the absence of the TLV
   indicate the PCEP speaker wish to disable the feature.

https://tools.ietf.org/html/draft-dhody-pce-stateful-pce-auto-bandwidth-07#section-5.2

   The TLV is encoded in all PCEP messages for the LSP till the
   bandwidth usage reporting feature is enabled, the absence of the TLV
   indicate the PCEP speaker wish to disable this feature.

https://tools.ietf.org/html/draft-dhody-pce-stateful-pce-auto-bandwidth-07#section-5.3

Thanks for your comments and review!

Regards,
Dhruv

Regards,
Dhruv

Could you please clarify.

Thanks :)

Regards,
Venu

本邮件及其附件含有华为公司的保密信息，仅限于发送给上面地址中列出的个人或群组。禁
止任何其他人以任何形式使用（包括但不限于全部或部分地泄露、复制、或散发）本邮件中
的信息。如果您错收了本邮件，请您立即电话或邮件通知发件人并删除本邮件！
This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!